kdevelop crashes

Bug #656195 reported by Jonathan Riddell on 2010-10-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
kde4libs (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Jonathan Riddell (jr) on 2010-10-07
Changed in kde4libs (Ubuntu):
milestone: none → maverick-updates
tags: added: kubuntu
Jonathan Riddell (jr) wrote :

This only affects KDevelop master (i.e. from git, not 4.0 or 4.1 RC)

Upstream and users have requested we include it so they can use the forthcoming KDevelop

The patch affects the kate kpart but not any public interface

Jonathan Riddell (jr) wrote :

It is fixed upstream in KDE Platform 4.5.2 which will be uploaded to Natty as soon as Natty opens

Jonathan Riddell (jr) wrote :

TEST CASE: compile KDevelop and kdevplatform from git. Edit a C++ file. With the old kdelibs it will crash. With the new kdelibs it will not crash

Changed in kde4libs (Ubuntu Maverick):
milestone: none → maverick-updates
Jonathan Riddell (jr) wrote :

Uploaded to maverick-proposed, awaiting approval

Accepted kde4libs into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in kde4libs (Ubuntu Natty):
milestone: maverick-updates → natty-alpha-1
Changed in kde4libs (Ubuntu Maverick):
status: New → Fix Committed
tags: added: verification-needed
Changed in kde4libs (Ubuntu Natty):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package kde4libs - 4:4.5.2a-0ubuntu1

---------------
kde4libs (4:4.5.2a-0ubuntu1) natty; urgency=low

  [ Rohan Garg ]
  * Merge with Debian git remaining changes:
    - no build-dep on libaspell-dev
    - no build-dep on libfam-dev
    - no install kspell_aspell.desktop and kspell_aspell.so
    - kdelibs5-dev do not install preparetips
    - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
    - DEB_FIXPERMS_EXCLUDE := /usr/lib/kde4/libexec/fileshareset
    - binary-install/kdelibs5-data:: rule (build-dep on sharutils)
      and copy over debian/icons
    - don't Recommend on kaboom
    - set export KUBUNTU_DESKTOP_POT=kdelibs
    - install usr/share/locale/all_languages in kdelibs5-data.install
    - don't add 20_use_dejavu_as_default_font

  [ Alessandro Ghersi ]
  - Merge a bit more with Debian
  - Drop libkutils4.symbols
  - kdelibs5-data.lintian-overrides, installgen: kde/HTML -> kde/HTML4
  - drop .gitattributes
  - Update KUBUNTU-DEBIAN-DIFFERENCES
  - Update patches with Debian
  - debian/rules: set upstreamversion to 4.5.2
  - Don't install /usr/bin/preparetips
  - Add Replaces/Breaks for libkutils4 in:
    - libkcmutils4
    - libkemoticons4
    - libkidletime4
    - libkprintutils4

  [ Jonathan Kolberg ]
  * New upstream release
  * Now included in upstream
   - kubuntu_72_previewjob_skip_remote_directories.diff
   - kubuntu_75__fix_containment_configs.diff
   - kubuntu_73_fix_mem_leak_kmodelindexproxymapper.diff
   - kubuntu_74_fix_mem_leak_kwebpluginfactory.diff
   - kubuntu_76_fix_install_plasmoid.diff

  [ Rohan Garg ]
  * Add kubuntu_78_krun_http.diff to fix https handling

kde4libs (4:4.5.1-1) UNRELEASED; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed.
  * kdelibs5-data should break/replace kdelibs-data 4:3.5.10.dfsg.1-4 as well.
    That version still has the same files as kdelibs5-data.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Adjust build dependencies:
    - Bump required cmake version to 2.6.4.
    - Bump required soprano version to 2.4.63.
    - Add build dependencies on:
      - libdbusmenu-qt-dev
      - docbook-xml
      - docbook-xsl
      - libxrender-dev
      - libkrb5-dev
    - Remove unused build dependencies:
      - libcups2-dev
      - libdbus-1-dev
      - libasound2-dev
      - libkeyutils-dev
      - xsltproc
      - libxcursor-dev
      - libxtst-dev
  * Update installed files.
  * Add packages for the new libararies: libkatepartinterfaces4,
    libkcmutils4, libkidletime4, libkemoticons4, libkprintutils4.
  * Update symbol files.
  * Add symbol files for the new libraries.
  * Remove libkutils4.symbols as kutils is now a dummy
    transitional library with no symbols.
  * Refresh patches.
  * Add docbook-xml dependency on the kdoctools package,
    as it is required for building all of kde's documentation.

kde4libs (4:4.5.1-0ubuntu8) maverick-proposed; urgency=low

  * Add kubuntu_78_kate_buffer.diff from 4.5.2, fixes KDevelop's use of
    Kate. LP: #656195
 -- Rohan Garg <rohangarg@k...

Read more...

Changed in kde4libs (Ubuntu Natty):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

I've confirmed this fix. With kdevelop built from git and kde4libs in maverick, I can trivially (though not 100% reproducibly) trigger a crash by editing a cpp file from kdevelop itself. After upgrading kde4libs to maverick-proposed, these crashes appear to no longer occur.

Marking verified and copying to -updates.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde4libs - 4:4.5.1-0ubuntu8

---------------
kde4libs (4:4.5.1-0ubuntu8) maverick-proposed; urgency=low

  * Add kubuntu_78_kate_buffer.diff from 4.5.2, fixes KDevelop's use of
    Kate. LP: #656195
 -- Jonathan Riddell <email address hidden> Thu, 07 Oct 2010 11:51:47 +0100

Changed in kde4libs (Ubuntu Maverick):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

fixed in SRU, so shouldn't need added into the release notes.

Changed in ubuntu-release-notes:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers